.allContainer{
    width: 100%;
    position: relative;
}
.detailContainer{
    padding-top: 60px;
    display: flex;
    flex-direction: column;
    .topChannel{
        padding-right: 20px;
        padding-left: 20px;
        color:#8560A9;
        font-size: 12px;
        -webkit-transform-origin-x: 0;
        -webkit-transform: scale(0.83);
        margin-bottom: 12px;
        span{
            border: 1px solid #D3C1E5;
            border-radius: 15px;
            padding: 1px 10px 1px 10px;
        }
    }
    .title{
        padding-right: 20px;
        padding-left: 20px;
        color:#453257;
        font-size: 20px;
        line-height: 25px;
        font-weight: 500;
        margin-bottom: 12px;
    }
    .creatorInfo{
        padding-right: 20px;
        padding-left: 20px;
        margin-bottom: 15px;
        display: flex;
        flex-direction: row;
        .avatar{
            margin-right: 10px;
            img{
                border-radius: 50%;
            }
        }
        .info{
            display: flex;
            flex-direction: column;
            justify-content: center;
            .infoName{
                color:#67616D;
                font-size: 14px;
                margin-bottom: 3px;
            }
            .publishTime{
                color:#BABABA;
                font-size: 12px;
                -webkit-transform-origin-x: 0;
                -webkit-transform: scale(0.75);
            }
        }
    }
    .selectBar{
        position: sticky;
        background-color: white;
        top: 0px;
        display: flex;
        align-items: center;
        justify-content: center;
        height: 45px;
        border-top: 2px solid #E8E8E8;
        border-bottom: 2px solid #E8E8E8;
        margin-bottom: 16px;
        z-index: 3;
        color:#8C8C8C;
        .active{
            color:#AECB4F
        }
        div{
            display: flex;
            align-items: center;
            justify-content: center;
            flex: 1;
            font-size: 12px;
            -webkit-transform-origin-x: 0;
            -webkit-transform: scale(0.83);
            // border-right:1px solid #E8E8E8 ;
            span{
                padding-left: 5px;
            }
        }
    }
    .carousel{
        padding-left: 20px;
        padding-right: 20px;
        margin-bottom: 12px;
        img{
            border-radius: 5px;
        }
    }
    .description{
        color:#67616D;
        font-size: 12px;
        margin-left: 20px;
        padding-right: 20px;
        padding-bottom: 12px;
        border-bottom: 2px solid #E8E8E8;
    }
    .when{
        margin-top: 12px;
        margin-left: 20px;
        padding-right: 20px;
        padding-bottom: 15px;
        border-bottom: 2px solid #E8E8E8;
        p{
            font-size: 14px;
            padding-left: 4px;
            border-left: 4px solid #8560A9;
            color:#8560A9;
        }
        .time{
            margin-top: 16px;
            display: flex;
            flex-direction: row;
            .timeLeft{
                flex: 1;
                border-right: 1px solid #E8E8E8;
                display: flex;
                flex-direction: column;
                justify-content: center;
                align-items: center;
                margin-left: 15px;
                .timeLeftTop{
                    color: #67616D;
                    font-size: 14px;
                    span{
                        padding-left: 4px;
                    }
                }
                .timeLeftBottom{
                    font-size: 25px;
                    color: #AECB4F;
                    margin-top: 10px;
                    span:nth-child(2){
                        font-size: 12px;
                        -webkit-transform-origin-x: 0;
                        -webkit-transform: scale(0.75);
                    }
                }
            }
            .timeRight{
                flex: 1;
                display: flex;
                flex-direction: column;
                justify-content: center;
                align-items: center;
                margin-left: 15px;
                .timeRightTop{
                    color: #67616D;
                    font-size: 14px;
                    span{
                        padding-left: 4px;
                    }
                }
                .timeRightBottom{
                    font-size: 25px;
                    margin-top: 10px;
                    color: #AECB4F;
                    visibility: hidden;
                    span:nth-child(2){
                        font-size: 12px;
                        -webkit-transform-origin-x: 0;
                        -webkit-transform: scale(0.75);
                    }
                }
            }
        }
    }
    .where{
        display: flex;
        flex-direction: column;
        justify-content: center;
        padding-left: 20px;
        padding-right: 20px;
        margin-top: 12px;
        padding-bottom: 12px;
        border-bottom: 2px solid #E8E8E8;
        p:nth-child(1){
            font-size: 14px;
            padding-left: 4px;
            border-left: 4px solid #8560A9;
            color:#8560A9;
            margin-bottom: 5px;
        }
        p:nth-child(2){
            font-size: 12px;
            color: #67616D;
            margin-bottom: 3px;
        }
        p:nth-child(3){
            font-size: 12px;
            color:#67616D;
            margin-bottom: 5px;
            font-weight: 300;
        }
        div{
            align-items: center;
            img{
                border-radius: 5px;
            }
        }
    }
    .going{
        display: flex;
        margin-top: 12px;
        flex-direction: row;
        align-items: center;
        margin-left: 20px;
        padding-right: 20px;
        padding-bottom: 12px;
        border-bottom: 2px solid #E8E8E8;
        .goingLeft{
            color:#67616D;
            font-size: 12px;
            width: 60px;
            flex: 3;
            
        }
        .goingRight{
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            flex: 7;
            div{
                margin-right: 10px;
                img{
                    border-radius: 50%;
                }
            }
        }
    }
    .likes{
        display: flex;
        margin-top: 12px;
        flex-direction: row;
        align-items: center;
        padding-left: 20px;
        padding-right: 20px;
        padding-bottom: 12px;
        border-bottom: 2px solid #E8E8E8;
        .likesLeft{
            color:#67616D;
            font-size: 12px;
            width: 60px;
            flex: 3;
            
        }
        .likesRight{
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            flex: 7;
            div{
                margin-right: 10px;
                img{
                    border-radius: 50%;
                }
            }
        }
    }
    .commentsContainer{
        width: 100%;
    }
}
